<define-tag listpath>/var/list/</define-tag>
<define-tag listdescr>description</define-tag>

<define-tag img_width>497</define-tag>
<define-tag img_height>161</define-tag>

# Sideeffect: fills $list and $description
#             img_format img_format_href
#
<define-tag read-lists>
<?
    $img_format_href = '<p><div align="center">'
		      .'<a href="%s">'
		      .'<img src="%s" width=<img_width> height=<img_height> alt="%s" border=0>'
		      .'</a>'
		      .'</div>';

    $img_format     = '<p><div align="center">'
		      .'<img src="%s" width=<img_width> height=<img_height> alt="%s" border=0>'
		      .'</div>';

    $dir = dir (".");
    $months = array ();

    while ($dentry = $dir->read()) {
      if ($dentry != "." && $dentry != "..") {
	$list[] = $dentry;

	if (is_file ("<listpath>/$dentry/<listdescr>")) {
	  if (($f = fopen ("<listpath>/$dentry/<listdescr>", "r"))) {
	    $description[$dentry] = fgets ($f, 255);
	    fclose ($f);
	  }
	}
      }
    }
    $dir->close();
    sort ($list);
?>
</define-tag>

# Make an overview about all similar files
#
<define-tag make-overview>
<preserve frac href>
<set-var %attributes>

<?
    $i=0;for ($i=0; $i <= count ($list); $i++) {
      if (is_file ("$list[$i]/$list[$i]-<get-var frac>.png")) {

	if (strlen ($description[$list[$i]])) {
	  if (strlen ($description[$list[$i]]) < 40) {
	    printf ("<h3 class=\"bar\">%s</h3>", $description[$list[$i]]);
	  } else {
	    printf ("<h3 class=\"bar\">%s - %s</h3>", $list[$i], $description[$list[$i]]);
	  }
	} else {
	  printf ("<h3 class=\"bar\">%s</h3>", $list[$i]);
	}

	printf ($img_format_href, "<get-var href>.php3?list=$list[$i]", "$list[$i]/$list[$i]-<get-var frac>.png", $list[$i]);
      }
    }
?>

<p>
<restore frac href>
</define-tag>

<define-tag display-list>
<h1>Lists Statistics for list <? echo $list; ?></h1>

<h3 class="bar">Total Subscribers</h3>

<p><center>\
<?
  printf ("<img src=\"%s/%s-distabs-month.png\" width=\"<img_width>\" height=\"<img_height>\" alt=\"[%s]\" border=\"0\">",
    $list, $list, $list);
?>
</center>

<h3 class="bar">Posting Frequency</h3>

<p><center>\
<?
  printf ("<img src=\"%s/%s-latest-month.png\" width=\"<img_width>\" height=\"<img_height>\" alt=\"[%s]\" border=\"0\">",
    $list, $list, $list);
?>
</center>

</define-tag>

# Local variables:
# mode: indented-text
# mode: auto-fill
# end:
